#include <bits\stdc++.h>
using namespace std;

char a[100000];
string perm;
int n, k, nsize = 2;

bool Found(int size, int r){
	int k = 0;
	for(int i = 0; i < r; i++){
		if(a[i] == perm[k]){
			k++;
			if(k == size)return true;
		}
	}
	return false;
}

void Search(int r){
	while(Found(nsize, r)){
		if(!next_permutation(perm.begin(), perm.begin()+n)){
			nsize++;
			sort(perm.begin(), perm.begin()+n);
		}
	}
	
	cout << nsize;
	return;
}

int main(){
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int i, j;
	cin >> n >> k;
	
	for(i = 0; i < n; i++){
		cin >> a[i];
		perm+=a[i];
	}
	perm+=a[0];
	for(j = 1; j < k; j++){
		cout << 1;
	}
	
	for(i = j; i <= n; i++){
		Search(i);
	}
	
	return 0;
}